Bug 509744 - Review Request: solang - A Photo Manager for GNOME
Review Request: solang - A Photo Manager for GNOME
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 509745 (view as bug list)
Depends On: 509670
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 13:48 EDT by Hicham HAOUARI
Modified: 2009-08-07 01:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 01:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2009-07-05 13:48:11 EDT
Spec URL: http://hicham.iblogger.org/linux/fedora/releases/11/Everything/source/SPECS/solang.spec
SRPM URL: http://hicham.iblogger.org/linux/fedora/releases/11/Everything/source/SRPMS/solang-0.1-1.20090624git.fc11.src.rpm
Description: Solang is a free photo manager that will act as a front-end for directory based local storage as well as remote photo-storage systems, as can be said, on the "Cloud". Basic editing support is also planned as well as a small pipeline for RAW processing.
The aim of this project is to break the performance characteristics of current popular photo management softwares and provide a fast and reliable alternative that does not place humongous demands on user's hardware resources even to meet basic functionality.


This package depends on compat-libgdamm, which is still in review :

https://bugzilla.redhat.com/show_bug.cgi?id=509670
Comment 1 Susi Lehtola 2009-07-05 14:47:06 EDT
*** Bug 509745 has been marked as a duplicate of this bug. ***
Comment 2 Kevin Fenzi 2009-07-07 17:50:50 EDT
Doing a build here on x86_64 on f11 (per request on irc). 

- You are missing: 

BuildRequires:  libsoup-devel
BuildRequires:  webkitgtk-devel

- rpmlint says: 

solang.src: W: strange-permission Solang-0.2.tar.gz 0600
solang.src: W: mixed-use-of-spaces-and-tabs (spaces: line 32, tab: line 1)
solang.x86_64: E: explicit-lib-dependency compat-libgda-sqlite
solang.x86_64: E: explicit-lib-dependency compat-libgdamm
solang.x86_64: E: explicit-lib-dependency libgdl
solang.x86_64: E: explicit-lib-dependency libgphoto2
solang.x86_64: E: zero-length /usr/share/doc/solang-0.2/NEWS

so, likely you can drop all those libraries from Requires: (rpm does this for you, you shouldn't need to be explicit) as well as the 0 length NEWS file.
Comment 3 Hicham HAOUARI 2009-07-07 20:44:37 EDT
Ok, updated.

Spec URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/SPECS/solang.spec

SRPM URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/solang-0.2-0.1.20090707.fc11.src.rpm

Description: Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipeline for RAW processing.
The aim of this project is to break the performance characteristics of current
popular photo management softwares and provide a fast and reliable alternative
that does not place humongous demands on user's hardware resources even to meet
basic functionality.


This package depends on compat-libgdamm, which is still in review :

https://bugzilla.redhat.com/show_bug.cgi?id=509670
Comment 4 Kevin Fenzi 2009-07-08 23:42:00 EDT
Per our conversation on IRC I will look at reviewing this package and sponsoring you. 

Look for a full review soon.
Comment 5 Kevin Fenzi 2009-07-09 00:54:07 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
See below - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
See Below - License (GPLv3+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
See below - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Pick one of $RPM_BUILD_ROOT or %{buildroot} and use that consistently. 

2. The Source url is ok, but might be better to list the savanna download: 
http://download.savannah.gnu.org/releases-noredirect/solang/Solang-0.2.tar.gz
In fact it seems the link you have is giving a 404 currently and the savannah 
site doesn't have the 0.2 version. ;( Check with upstream? 
Ah, your version is a prerelease checkout? 
See: https://fedoraproject.org/wiki/Packaging/SourceURL
You will need to explain in a comment how to do that exact checkout. 

3. The License seems to be GPLv3+. No need to ship a copy of COPYING.GPLv2 I wouldn't think. 

4. No need to package the "INSTALL" doc. It's generic and you are taking care of 
the install for the user. 

5. Not a blocker, but the %{__rm} and other macros are not very useful IMHO. 
You're welcome to use them, but typing an extra 5 characters and making the spec
less readable doesn't seem worth it to me. 

6. You need to own the %{_datadir}/%{name}/pixmaps/ and %{_datadir}/%{name}/ui/ directories. 
Either remove the /* from them so rpm globs the dir too, or add %dir entries for them.
Comment 6 Hicham HAOUARI 2009-07-09 08:49:04 EDT
Ok, fixed the issues.

Spec URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/SPECS/solang.spec

SRPM URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/solang-0.2-1.fc11.src.rpm

Description: Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipeline for RAW processing.
The aim of this project is to break the performance characteristics of current
popular photo management softwares and provide a fast and reliable alternative
that does not place humongous demands on user's hardware resources even to meet
basic functionality.


This package depends on compat-libgdamm, which is still in review :

https://bugzilla.redhat.com/show_bug.cgi?id=509670
Comment 7 Kevin Fenzi 2009-07-10 23:45:55 EDT
1. 2. 3. 4. 6. - All look good. 
5. There are still some of those macros left, but as I said, not a blocker if you wish to use them. 

Now that the Source url works I can confirm that the version matches upstream: 

20a05edee2137c76add270452a1ab4d7  Solang-0.2.tar.gz
20a05edee2137c76add270452a1ab4d7  Solang-0.2.tar.gz.orig

Everything looks ok now to me... so this package is APPROVED. 

I will go ahead and sponsor you now (but note I need to finish reviewing your compat package before you can build this one). 

Continue the process from: 
https://fedoraproject.org/wiki/PackageMaintainers/Join#Get_Sponsored
Comment 8 Kevin Fenzi 2009-07-10 23:46:55 EDT
Oh, please let me know via irc or here what your Fedora Account System name is so I can sponsor you.
Comment 9 Hicham HAOUARI 2009-07-11 11:05:52 EDT
thanks Kevin for your help

my Fedora Account System name is : hicham
Comment 10 Hicham HAOUARI 2009-07-11 23:53:16 EDT
New Package CVS Request
=======================
Package Name: solang
Short Description: A Photo Manager for GNOME
Owners: hicham
Branches: F-10 F-11
InitialCC: hicham.haouari@gmail.com
Comment 11 Ralf Corsepius 2009-07-12 03:51:34 EDT
Please do not run the autotools when building. You are unneccessarily exposing yourselves and the Fedora community to what I am inclined to consider lack of experience with packaging.

More direct: If I were reviewing this package, I would not approve it, nor would I sponsor you.
Comment 12 Jason Tibbitts 2009-07-12 13:00:27 EDT
The contents of InitialCC must be an existing Fedora account, not an address.

Otherwise, CVS done.
Comment 13 Hicham HAOUARI 2009-07-12 13:08:52 EDT
Cleaned up dependencies

Spec URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/SPECS/solang.spec

SRPM URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/solang-0.2-2.fc11.src.rpm

Description: Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipeline for RAW processing.
The aim of this project is to break the performance characteristics of current
popular photo management softwares and provide a fast and reliable alternative
that does not place humongous demands on user's hardware resources even to meet
basic functionality.


This package depends on compat-libgdamm, which is still in review :

https://bugzilla.redhat.com/show_bug.cgi?id=509670
Comment 14 Susi Lehtola 2009-07-12 13:12:10 EDT
No need to set fedora-cvs to ? if you're not requesting anything.
Comment 15 Kevin Fenzi 2009-07-12 13:21:54 EDT
> No need to set fedora-cvs to ? if you're not requesting anything.

He's requesting cvs in comment #10.
Comment 16 Kevin Fenzi 2009-07-12 13:25:37 EDT
Sigh, bugzilla is sending me emails out of order...
Comment 17 Hicham HAOUARI 2009-07-12 14:58:04 EDT
Added intltool to BuildRequires

Spec URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/SPECS/solang.spec

SRPM URL:
http://hicham.iblogger.org/linux/fedora/updates/11/SRPMS/solang-0.2-2.fc11.src.rpm

Description: Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipeline for RAW processing.
The aim of this project is to break the performance characteristics of current
popular photo management softwares and provide a fast and reliable alternative
that does not place humongous demands on user's hardware resources even to meet
basic functionality.


This package depends on compat-libgdamm, which is still in review :

https://bugzilla.redhat.com/show_bug.cgi?id=509670
Comment 18 Fedora Update System 2009-07-19 06:20:10 EDT
solang-0.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update solang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7758
Comment 19 Fedora Update System 2009-08-07 01:01:27 EDT
solang-0.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.